EM FHEquiv: Difference between revisions

From FreeCAD Documentation
(Added categories)
No edit summary
Line 1: Line 1:
<languages/>
<translate>

{{GuiCommand
{{GuiCommand
|Name=EM FHEquiv
|Name=EM FHEquiv
Line 11: Line 14:


The FHEquiv tool short-circuits two FHNode objects.
The FHEquiv tool short-circuits two FHNode objects.
</translate>


[[Image:EM_FHEquiv_Example.png]]
[[Image:EM_FHEquiv_Example.png]]
<translate>

{{Caption|FastHenry FHEquiv}}
{{Caption|FastHenry FHEquiv}}


Line 37: Line 41:


The FHEquiv object can be used in [[macros]] and from the [[Python]] console by using the following function:
The FHEquiv object can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>

{{Code|code=
{{Code|code=
equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
}}
}}
<translate>

* Creates a {{incode|FHEquiv}} object.
* Creates a {{incode|FHEquiv}} object.
* {{incode|node1}} is the first node [[EM_FHNode|FHNode]] object to short-circuit.
* {{incode|node1}} is the first node [[EM_FHNode|FHNode]] object to short-circuit.
Line 48: Line 52:


Example:
Example:
</translate>

{{Code|code=
{{Code|code=
import FreeCAD, EM
import FreeCAD, EM
Line 59: Line 63:


{{clear}}
{{clear}}
<translate>

[[Category:User Documentation]]
[[Category:User Documentation]]

[[Category:Addons]]
[[Category:Addons]]

[[Category:External Workbenches]]
[[Category:External Workbenches]]
</translate>

Revision as of 16:17, 3 February 2019

Other languages:

EM FHEquiv

Menu location
EM → FHEquiv
Workbenches
EM
Default shortcut
E E
Introduced in version
0.17 (Add-on)
See also
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHPort,

Description

The FHEquiv tool short-circuits two FHNode objects.

FastHenry FHEquiv

How to use

The FHEquiv object is based on the two existing FHNodes that it will short-circuit.

  1. Select two FHNode objects
  2. Press the EM FHEquiv button, or press E then E keys.

Remarks:

  • If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.

Properties

  • DataNode1: the first FHNode to short-circuit
  • DataNode2: the second FHNode to short-circuit

Scripting

See also: FreeCAD Scripting Basics.

The FHEquiv object can be used in macros and from the Python console by using the following function:

equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
  • Creates a FHEquiv object.
  • node1 is the first node FHNode object to short-circuit.
  • node2 is the second node FHNode object to short-circuit.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)